%define beta 2
%define rel 2
%if %{beta}
%define release %mkrel -c beta%{beta} %{rel}
%else
%define release %mkrel %{rel}
%endif

Name:       hydrogen
Version:    0.9.6
Release:    %{release}
Summary:    An advanced Drum Machine
License:    GPLv2+
Group:      Sound/Utilities
URL:        http://www.hydrogen-music.org
# make-tarball2 hydrogen git://github.com/hydrogen-music/hydrogen.git
Source0:    %name-%version.tar.gz
Source1:    make-tarball2

BuildRequires:  cmake
BuildRequires:  png-devel
BuildRequires:  jpeg-devel
BuildRequires:  qt4-devel
BuildRequires:  pkgconfig
BuildRequires:  libalsa-devel
BuildRequires:  jackit-devel
BuildRequires:  libaudiofile-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libflac-devel
BuildRequires:  libflac++-devel
BuildRequires:  desktop-file-utils
BuildRequires:  scons
BuildRequires:  libtar-devel
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(raptor)

Patch0:         hydrogen-0.9.6-mga-hydrogen.desktop.patch

%description
Hydrogen is an advanced drum machine for GNU/Linux. Its main goal is to bring
professional yet simple and intuitive pattern-based drum programming.

%files
%doc AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_datadir}/%name
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hydrogen.png
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
LDFLAGS="-pthread -lz"
%cmake
make
%install
%makeinstall_std -C build

#icons
%__mkdir_p %buildroot%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
%__cp data/img/gray/icon48.png %buildroot%_iconsdir/hicolor/48x48/apps/%{name}.png
%__cp data/img/gray/icon32.png %buildroot%_iconsdir/hicolor/32x32/apps/%{name}.png
%__cp data/img/gray/icon16.png %buildroot%_iconsdir/hicolor/16x16/apps/%{name}.png
%__cp %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_iconsdir}/


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-0.beta2.2.mga3
+ Revision: 353801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 barjac <barjac> 0.9.6-0.beta2.1.mga3
+ Revision: 326013
- corrected .desktop file
- new version 0.9.6 beta2
- uses cmake added BR cmake
- removed obsolete patches
- copied icon for .desktop
- patched missing includes in two files
- removed old obsolete defines
- added BR raptor
- removed Buildroot: tag
- change group to new policy
- spec clean
- changed BR to pkgconfig(lrdf) in attempt to fix build

* Fri Apr 15 2011 shikamaru <shikamaru> 0.9.5-1.mga1
+ Revision: 85897
- New version 0.9.5
  Clean spec:
- remove unused patches
- retab (mix use of space and tabs)
- remove trailing spaces
- remove useless defines on top
- imported package hydrogen

